> For the complete documentation index, see [llms.txt](https://docs.drivequant.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.drivequant.com/backend/stolen-vehicle/close-an-active-theft-report.md).

# Close an active theft report

This service can be used to close an active theft report.

By default, a report is valid for 30 days. It can be closed at any time before expiration, for example if the vehicle has been recovered.

{% hint style="info" %}
If you have your **admin API key**, you can try the API via this [**link**](https://drivequant.stoplight.io/docs/drivequant-public/1f6737539303f-close-an-active-stolen-vehicle-report).
{% endhint %}

## PUT /drivekit/admin/beacon/reports/{reportId}/close

> Close an active theft report

```json
{"openapi":"3.0.3","info":{"title":"DKAdminStolenVehicleServiceV3","version":"1.0"},"servers":[{"url":"https://service.drivequant.com/v3","description":"Prod"}],"security":[{"api-key":[]}],"components":{"securitySchemes":{"api-key":{"name":"DriveKit-Admin-API-Key","type":"apiKey","in":"header"}},"schemas":{"StolenVehicleReportClosingRequest":{"title":"StolenVehicleReportClosingRequest","type":"object","properties":{"reason":{"type":"string","description":"The reason for closing the theft report","enum":["VEHICLE_RECOVERED","VEHICLE_DESTROYED","OTHER"]},"comment":{"type":"string","nullable":true,"description":"Additional comments regarding the closure of the theft report"}},"required":["reason"]},"StolenVehicleReportResponse":{"title":"StolenVehicleReportResponse","type":"object","properties":{"id":{"type":"string","description":"The unique identifier of the stolen vehicle report"},"requestDate":{"type":"string","format":"date-time","description":"The date and time when the report was created, in ISO 8601 format"},"theftReportDate":{"type":"string","format":"date-time","description":"The date and time when the vehicle was reported as stolen, in ISO 8601 format"},"theftReportClosingDate":{"type":"string","format":"date-time","description":"The date and time when the theft report was closed, in ISO 8601 format"},"theftReportClosingReason":{"type":"string","nullable":true,"description":"The reason for closing the theft report","enum":["VEHICLE_RECOVERED","VEHICLE_DESTROYED","OTHER"]},"theftReportClosingComment":{"type":"string","nullable":true,"description":"Additional comments regarding the closure of the theft report"},"status":{"type":"string","description":"The status of the theft report","enum":["ACTIVE","EXPIRED","CANCELED","CLOSED"]},"beacon":{"type":"object","properties":{"uuid":{"type":"string","format":"uuid","description":"The unique identifier of the beacon"},"major":{"type":"integer","minimum":0,"maximum":65535,"description":"The major value of the iBeacon"},"minor":{"type":"integer","minimum":0,"maximum":65535,"description":"The minor value of the iBeacon"}}}}},"ErrorResponse":{"title":"ErrorResponse","type":"object","properties":{"message":{"type":"string"},"code":{"type":"integer"},"messageKey":{"type":"string"}}}}},"paths":{"/drivekit/admin/beacon/reports/{reportId}/close":{"put":{"summary":"Close an active theft report","tags":[],"operationId":"put-drivekit-admin-beacon-report","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StolenVehicleReportClosingRequest"}}}},"parameters":[{"schema":{"type":"string"},"in":"header","name":"DriveKit-Admin-API-Key","description":"Drivekit Admin API key","required":true},{"schema":{"type":"string"},"in":"path","name":"reportId","description":"The unique identifier of the stolen vehicle report to be retrieved","required":true}],"responses":{"200":{"description":"Successful response with the details of the stolen vehicle report","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StolenVehicleReportResponse"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"422":{"description":"Unprocessable Entity (e.g., the report is not active)","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## Request body

The table below summarizes the content of the request body.

<table><thead><tr><th width="100.9453125">Field</th><th width="95.43359375">Format</th><th>Descriptio</th></tr></thead><tbody><tr><td>reason</td><td><code>string</code></td><td><p>Reason for the status update.</p><p><em>Allowed values: <code>VEHICLE_RECOVERED</code>, <code>VEHICLE_DESTROYED</code>, <code>OTHER</code></em></p></td></tr><tr><td>comment</td><td><code>string</code></td><td><p>Free comment</p><p><em>Max: 512 characters</em></p></td></tr></tbody></table>

## Response body

The table below summarizes the content of the response body.

<table><thead><tr><th width="242.6484375">Field</th><th width="99.515625">Format</th><th>Descriptio</th></tr></thead><tbody><tr><td>id</td><td><code>string</code></td><td>Unique identifier of the theft report</td></tr><tr><td>beacon</td><td><code>object</code></td><td><p>Beacon information.</p><p><em>See</em> <a href="#beacon"><em>Beacon</em></a></p></td></tr><tr><td>requestDate</td><td><code>string</code></td><td>Date at which the theft was reported on DriveQuant platform.<br><em>Date format: <code>YYYY-MM-dd’T’HH:mm:ss.SSSZ</code></em></td></tr><tr><td>theftReportDate</td><td><code>string</code></td><td><p>Date at which the theft was reported to the authorities.</p><p><em>Date format: <code>YYYY-MM-dd’T’HH:mm:ss.SSSZ</code></em></p></td></tr><tr><td>theftReportClosingDate</td><td><code>string</code></td><td><p>Date at which the theft report expires.</p><p><em>Date format: <code>YYYY-MM-dd’T’HH:mm:ss.SSSZ</code></em></p></td></tr><tr><td>theftReportClosingReason</td><td><code>string</code></td><td>Reason for closing the report.<br><em>Allowed values: <code>VEHICLE_RECOVERED</code>, <code>VEHICLE_DESTROYED</code>, <code>OTHER</code></em></td></tr><tr><td>theftReportClosingComment</td><td><code>string</code></td><td>Free comment when closing the report.<br><em>Nullable</em></td></tr><tr><td>status</td><td><code>string</code></td><td>Status of the report.<br><em>Allowed values: <code>CLOSED</code></em></td></tr></tbody></table>

### Beacon

The table below summarizes the content of the `Beacon` object.

<table><thead><tr><th width="150.00390625">Field</th><th width="149.6484375">Format</th><th>Descriptio</th></tr></thead><tbody><tr><td>uuid</td><td><code>string</code></td><td>iBeacon UUID</td></tr><tr><td>major</td><td><code>integer</code></td><td>iBeacon major identifier</td></tr><tr><td>minor</td><td><code>integer</code></td><td>iBeacon minor identifier</td></tr></tbody></table>
